API ReferenceManagementDescopers
PATCH
/v1/mgmt/descoper

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
attributes?object

Descopers

rbac?object

Update a descoper

curl -X PATCH "https://api.descope.com/v1/mgmt/descoper" \  -H "Content-Type: application/json" \  -d '{}'
{  "descoper": {    "id": "string",    "attributes": {      "displayName": "string",      "email": "string",      "phone": "string"    },    "rbac": {      "isCompanyAdmin": true,      "tags": [        {          "tags": [            "string"          ],          "role": "string"        }      ],      "projects": [        {          "projectIds": [            "string"          ],          "role": "string"        }      ]    },    "status": "string",    "loginIDs": [      "string"    ]  }}
export interface Response {descoper?: {id?: string/** * Descopers */attributes?: {displayName?: stringemail?: stringphone?: string}rbac?: {isCompanyAdmin?: booleantags?: DescoperTagRole[]projects?: DescoperProjectRole[]}status?: stringloginIDs?: string[]}}export interface DescoperTagRole {tags?: string[]role?: string}export interface DescoperProjectRole {projectIds?: string[]role?: string}
Was this helpful?